Package org.eclipse.mat.parser.internal.oql.compiler

## Class EvaluationContext

- java.lang.Object
- - org.eclipse.mat.parser.internal.oql.compiler.EvaluationContext

    public class EvaluationContext
    extends java.lang.Object

### Constructor Summary

Constructors
`EvaluationContext​(EvaluationContext parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getAlias​(java.lang.String name)`
`IProgressListener` `getProgressListener()`
`ISnapshot` `getSnapshot()`
`java.lang.Object` `getSubject()`
`boolean` `isAlias​(java.lang.String value)`
`void` `setAlias​(java.lang.String alias)`
`void` `setProgressListener​(IProgressListener listener)`
`void` `setSnapshot​(ISnapshot snapshot)`
`void` `setSubject​(java.lang.Object subject)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EvaluationContext

    public EvaluationContext​(EvaluationContext parent)

### Method Detail

#### getSnapshot

    public ISnapshot getSnapshot()

#### setSnapshot

    public void setSnapshot​(ISnapshot snapshot)

#### getProgressListener

    public IProgressListener getProgressListener()

#### setProgressListener

    public void setProgressListener​(IProgressListener listener)

#### getSubject

    public java.lang.Object getSubject()

#### setSubject

    public void setSubject​(java.lang.Object subject)

#### getAlias

    public java.lang.Object getAlias​(java.lang.String name)

#### setAlias

    public void setAlias​(java.lang.String alias)

#### isAlias

    public boolean isAlias​(java.lang.String value)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`